

import proto idrp rdi $$PEER_RDI local-net $LOCAL_NET
       idrp-ps-policy-atts 
       {
               route-server restrict;
               extinfo;
               hierarch-rec;
               multiexit >= 25;

               net  $NET_1 snpa  0x12345678;
               gateway $GATEWAY_IP;
               interface $INTERFACE_IP;
               hopcount < 20;
               rd-transit-delay <= 250;
               rdlre < 1600;
               expense < 10;
               priority <> 1;
               capacity > 2;
       }
       idrp-ps-atts 
       {
               route-server on;
               hierarch-rec;
               rd-transit-delay 97;
               rdlre 125;
               expense 12;
               priority 3;
               capacity 15;
	#
        # here's where I need flexibility to set
	# variables
	#
               allow-dist { $RDI_IMPORT_LIST_ALLOW };
               prohibit-dist { $RDI_IMPORT_LIST_PROHIBIT };
       }
       idrp-pref $IDRP_PREF
	{
		all;
		ip all restrict;
	};
